﻿#message1 {
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 9999;
    max-width: 1000px;
}

/* Alert container */
.custom-alert {
    background-color: #dc3545;
    color: #ffffff;
    border: none;
    font-weight: 500;
    position: relative;
    padding: 12px 45px 12px 15px;
    /* space for close icon */

    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

/* Message text */
.custom-alert span {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.custom-alert .btn-close {
    position: absolute !important;
    top: 10px;
    right: 10px;
    padding: 0;
    margin: 0;
    opacity: 1;
    filter: invert(1) grayscale(100%) brightness(200%);
}


.toggle-password {
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    color: #777;
    z-index: 5;
    display: block;
    /* 👈 keeps icon always visible */
}

.toggle-password:hover {
    color: #000;
}

.captcha-fresh {
    cursor: pointer;
    font-size: 20px;
    color: #080101;
}

#captchaImage {
    padding-right: 10px;
}


.form-side__form .has-float-label {
    position: relative;
    /* ensure icon positions relative to this container */
}